import { OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { ItemService } from '../item-service/item-service.service';
import { AssetPosition } from '../../../shared/models/index';
export declare class InlineChoiceComponent implements OnInit, OnChanges {
    private itemService;
    promptTxt: string;
    assetData: any;
    count: number;
    questionTitleSplits: any;
    options: any;
    correctOptions: any;
    assetPosition: string;
    userAnswers: any[];
    correctAnswers: any[];
    assetPositions: typeof AssetPosition;
    examEngineType: string;
    canShowMetadata: boolean;
    isClearAnswer: boolean;
    isShowHide: boolean;
    imagePath: string;
    checkQuizSubmission: boolean;
    preferredTextFormat: number;
    get questionDetails(): Array<any>;
    itemDetails: any;
    constructor(itemService: ItemService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    createQuestion(): void;
    formatQuestionArray(questionParts: any): void;
    validateUserAnswer(): {
        userAnswer: any;
        correct: boolean;
    };
    isCorrectAsnwer(choiceRef: any, userAnswer: any): boolean;
    formatUserAnswer(currentArray: any): any[];
    checkUserAnswerStatus(): boolean;
    setUserAnswerAndCorrectanswer(): void;
    clearAnswer(): void;
}
